/*
Theme Name:     Jupiter Child Theme
Theme URI: 		http://demos.artbees.net/jupiter5
Description:    Child theme for the Jupiter theme 
Author:         Your name here
Theme URI: 		http://themeforest.net/user/artbees
Template:       jupiter
Text Domain: mk_framework
Domain Path: /languages/
*/

.nf-form-content label {
    font-size: 14px !important;
    line-height: 20px;
}

/* Algemene lijststijl */
ul, ol {
    list-style-position: outside; /* Opsommingstekens buiten de tekst */
    margin-left: 20px; /* Ruimte links */
    padding-left: 0; /* Geen extra padding */
    font-family: 'Poppins', sans-serif; /* Gebruik het Poppins-lettertype */
    font-size: 17px; /* Standaard tekstgrootte */
    font-weight: 400; /* Normaal gewicht voor tekst */
    line-height: 1.8; /* Regelafstand */
    color: inherit; /* Gebruik de tekstkleur van de pagina */
}

/* Lijstitems */
li {
    font-family: 'Poppins', sans-serif; /* Gebruik het Poppins-lettertype */
    font-size: 17px; /* Standaard tekstgrootte */
    font-weight: 400; /* Normaal gewicht voor tekst */
    line-height: 1.8; /* Regelafstand */
    color: inherit; /* Gebruik de tekstkleur van de pagina */
    margin-bottom: 10px; /* Ruimte tussen lijstitems */
    padding-left: 5px; /* Optionele extra ruimte */
}

/* Opsommingstekens (bullets of nummers) dikker maken */
ul li::marker, ol li::marker {
    color: #EF781E; /* Kleur van opsommingstekens */
    font-size: 1em; /* Zelfde grootte als de tekst */
    font-weight: 700; /* Maak opsommingstekens dikker */
}

/* menu bal animatie */
.menu-badge {
    font-size: 9px;
	font-weight: bold;
    margin-left: 4px;
    position: relative;
    top: -10px;
    margin-bottom: 13px;
    color: #ffffff;
    background-color: #EF781E;
    width: 20px; /* Stel de breedte in */
    height: 20px; /* Stel de hoogte in */
    border-radius: 50%; /* Maakt het element rond */
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.badge-bounce {
    animation: bouncing 0.5s cubic-bezier(0.1, 0.05, 0.05, 1) 0s 10 alternate forwards;
}

@keyframes bouncing {
    0% {
        transform: translateY(0);
    }
    100% {
        transform: translateY(-10px);
    }
}

/* v Marco */
/* Globals */
body > *:is([data-elementor-type="wp-page"]) > *:is(.elementor-element):not(header, .padding-left-right0),
.c-hero, .l-section {
	padding-inline: clamp(1.25rem, 0.55rem + 2.8vw, 3rem)!important;
}

body > *:is([data-elementor-type="wp-page"]) > *:is(.elementor-element):not(header, .padding-top-bottom0),
.c-hero, .l-section {
	padding-block: clamp(3rem, 1.8rem + 4.8vw, 6rem)!important;
}

.c-hero, .l-section {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.c-hero {
    background: #001E46;
}

.c-hero :where(h1, h2, h3) {
    color: #fff;
}

.l-section:is(.-bg-grey) {
    background: var(--e-global-color-99941b1);
}

.l-container {
    width: min(100%, 1400px);
}

:where(.-bg-visual) {
    background: url('https://assets.subadvies.nl/img/hero-background.webp');
}

body > *:is([data-elementor-type="wp-page"]) > *:is(.c-hero):not(header) {
	padding-bottom: 0!important;
}

header:is(.elementor-element) {
	padding-inline: clamp(1.25rem, 0.55rem + 2.8vw, 3rem)!important;
}

.elementor-icon-box-description {
	line-height: 1.6em!important;
}

p {
	max-width: 75ch!important;
}

.elementor-button:has(.elementor-button-icon) {
	width: 100%!important;
}

.elementor-button:has(.elementor-button-icon) .elementor-button-text {
	text-align: left!important;
}

body > *:is([data-elementor-type="wp-page"]) > *:has(.elementor-main-swiper) {
	overflow: hidden!important;
}

.elementor-main-swiper {
	overflow: visible!important;
}

.c-dashboard-block {
	border-radius: 8px;
	overflow: hidden;
}

.c-hero h1 {
	max-width: 20ch;
	text-wrap: balance!important;
}

/* Animation */
.c-animate-images > .elementor-element {
    transition: transform .5s ease;
	position: relative;
}
.c-animate-images > .elementor-element:nth-child(2) {
	z-index:10
}

@media screen and (max-width: 1023px) {
	.c-animate-images {
		flex-wrap: wrap;
	}
	.c-animate-images > .elementor-element {
		position: sticky;
		top:88px;
		width: 100%;
	}
}

@media screen and (min-width: 1024px) {
    .c-animate-images > .elementor-element:nth-child(2) {
        transform: translate(50%, 0);
    }
    
    .c-animate-images > .elementor-element:nth-child(3) {
        transform: translate(-50%, 0);
    }
    
    .c-animate-images.-animated > .elementor-element:nth-child(2) {
        transform: translate(0, 0);
		transition-delay: .125s;
    }
    
    .c-animate-images.-animated .elementor-element:nth-child(3) {
        transform: translate(0, 0);
		transition-delay: .125s;
    }
}

/* Marco - Wiki */
.c-wiki-modal {
    position: fixed;
    top: 0;
    right: 0;
    width: min(100%, 720px);
    height: 100vh;
    background: #fff;
    padding: 80px 24px 48px;
    z-index: 100;
    transform: translate(100%, 0);
    transition: transform .3s ease;
    overflow-y: scroll;
}

.c-wiki-modal[data-state="open"] {
    transform: translate(0, 0);
}

.c-wiki-modal__content :where(p, li) {
    font-size: 15px;
}

.c-wiki-modal__close {
    position: absolute;
    top: 2rem;
    right: 2rem;
    z-index: 5;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2.25rem;
    aspect-ratio: 1;
    border-radius: 100%;
    background: var(--e-global-color-99941b1);
}

@media screen and (min-width: 1024px) {
    .c-wiki-modal {
        
     padding: 160px 120px 120px;
    }
    .c-wiki-modal__content :where(p, li) {
        font-size: 15px;
    }
}

/* Block & card */
.c-wiki-block {
    
}

.c-wiki-block__letter {
    background: #EF781E;
    color: #Fff;
}